# surface plot of an atomic d-function
# 2000 (c) Klaus Betzler
set parametric
set angles degrees
set noborder;  set nokey
set hidden3d;  set view 80, 30, 1, 1
set noxtics;  set noytics;  set noztics
set urange [ 0 : 360 ];  set vrange [ -90 : 90 ]
set xrange [ -1 : 1 ];  set yrange [ -1 : 1 ]
set zrange [ -1 : 1 ];  set size square
GNUDFUN=0
set isosamples 100, 100
r(u,v)=sin(2*v)*sin(2*v)*cos(u)**4
GNUDFUN=1
X(u,v)=r(u,v)*cos(v)*sin(u)
Y(u,v)=r(u,v)*cos(v)*cos(u)
Z(u,v)=r(u,v)*sin(v)
splot X(u,v),Y(u,v),Z(u,v) lw 0.3
pause -1
set term post eps enh solid
set out "dfun.ps"
replot
