# fit of refractive index data
# 2000 (c) Klaus Betzler
GNUBENZ=0
set nokey
set xrange [400:1100];  set yrange [1.65:1.95]
set ytics 1.6, 0.1, 1.9;  set mytics 5
set encoding iso_8859_1
set xlabel "Wellenlnge [nm]"
set ylabel "Brechungsindex"
GNUBENZ=1
f0(x)=sqrt(c0+a0/(x*x-b0*b0))
a0=40000;  b0=400;  c0=2.5
GNUBENZ=2
n(x)=sqrt(A+A0/(x*x-L0*L0))
A=2.5;  A0=40000;  L0=400
fit [400:1100] n(x) "n_a.dat" using (1e9*$1):2:3 via A,A0,L0
plot "n_a.dat" using (1e9*$1):2:3 with errorbars, n(x) lt 1 lw 3
GNUBENZ=3
pause -1 "make fitbenz.ps"
set term postscript eps enh dashed "Helvetica" 24
set out "fitbenz.ps"
plot "n_a.dat" using (1e9*$1):2:3 with errorbars lw 4, n(x) lt 1 lw 3, f0(x) lt 3 lw 3
set term windows
set out
