# The World and Osnabrueck
# 2000 (c) Klaus Betzler
GNUWORLD=0
X(u,v)=cos(v)*cos(u)
Y(u,v)=cos(v)*sin(u)
Z(u,v)=sin(v)
set nokey;  set noborder
set noxtics;  set noytics;  set noztics
set encoding iso_8859_1
set angles degrees
set view 70,120,0.7,1.5
set parametric
set samples 100
set isosamples 13
set urange [-60:120];  set vrange [-90:90]
set label " Osnabrck" at X(8.2,52),Y(8.2,52),Z(8.2,52)
set mapping spherical
splot X(u,v),Y(u,v),Z(u,v)  lw 0.3,\
 'world.dat' with lines,\
 X(8.2,52),Y(8.2,52),Z(8.2,52) with points 7
GNUWORLD=1
pause -1
set term postscript eps enh solid
set out "world1.ps"
replot
